Bug 133869 - mail/qmail segfaulting on amd64
mail/qmail segfaulting on amd64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 11:20 UTC by milos.vyletel
Modified: 2009-04-21 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (817 bytes, patch)
2009-04-20 11:20 UTC, milos.vyletel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description milos.vyletel 2009-04-20 11:20:02 UTC
I noticed that /var/log/messages is full of:

Apr 20 11:52:09 nika kernel: pid 71944 (qmail-lspawn), uid 0: exited on signal 11 (core dumped)
Apr 20 11:52:10 nika kernel: pid 72010 (qmail-rspawn), uid 86: exited on signal 11

After short googling of problem I found this reference in mailing list:

http://lists.freebsd.org/pipermail/freebsd-ports/2007-October/044434.html

which is saying about patch fixing the problem.

It seems like this patch is partially integrated, but there's still #include "alloc.h" missing from work/qmail-1.03/cdbmake_add.c. After I manually added this include and rebuilt qmail, problem disapeared.

Fix: Add #include "alloc.h" to cdbmake_add.c file fixed problem for me. Attached pathed to be replaced in files/


Patch attached with submission follows:
How-To-Repeat: Install and run qmail on FreeBSD amd64
Comment 1 Edwin Groothuis freebsd_committer 2009-04-20 11:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Renato Botelho freebsd_committer 2009-04-20 12:09:18 UTC
Which qmail port are you using? The default mail/qmail?

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <garga @ freebsdbrasil.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Endless the world's turn, endless the sun's spinning
Endless the quest;
I turn again, back to my own beginning,
And here, find rest.
Comment 3 milos.vyletel 2009-04-20 12:34:45 UTC
yes, that one, sorry for not mentioning

On Mon, Apr 20, 2009 at 1:09 PM, Renato Botelho <garga@freebsd.org> wrote:

> Which qmail port are you using? The default mail/qmail?
>
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <garga @ freebsdbrasil.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc<http://www.FreeBSD.org/%7Egarga/pubkey.asc>
>
> Endless the world's turn, endless the sun's spinning
> Endless the quest;
> I turn again, back to my own beginning,
> And here, find rest.
>
Comment 4 Renato Botelho freebsd_committer 2009-04-21 15:18:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2009-04-21 15:19:01 UTC
garga       2009-04-21 14:18:52 UTC

  FreeBSD ports repository

  Modified files:
    mail/qmail/files     extra-patch-amd64 
  Log:
  - Forced commit to note correct information was:
  
  PR:             ports/133869
  
  Revision  Changes    Path
  1.3       +0 -0      ports/mail/qmail/files/extra-patch-amd64
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"